#ifndef SHORTFUSE_H
#define SHORTFUSE_H


#include <string>
#include <set>
#include <stdio.h>
#include "bam.h"

void get_seq_qual_strings(char* seq, char* qual, bam1_t* b)
{
    int l_i;
    for(l_i=0; i<b->core.l_qseq; i++)
    {
        int bit_base = bam1_seqi(bam1_seq(b), i);
        char base = '\0';
        char base = '\0';
        switch (bit_base) {
            case 1:
                base = 'A';
                break;
            case 2:
                base = 'C';
                break;
            case 4:
                base = 'G';
                break;
            case 8:
                base = 'T';
                break;
            case 15:
                base = 'N';
        }
        seq[l_i] = base;
        qual[l_i] = bam1_qual(b1[0])[i] + 33;
    }
    seq[l_i] = '\0';
    qual[l_i] = '\0';
}

void get_mismatch_indices(std::set<short int>& mismatches, bam1_t* b)
{
        char* MDtag = bam_aux_get(b, "MD");
        int offset = 0;
        std::string digit_string = "";
        for(j=1; j<strlen(MDtag); j++) /* The first char is always i */
        {
            if(isalpha(MDtag[j]))
            {
                if(digit_string.length() > 0)
                {
                    offset += atoi(digit_string.c_str());
                    digit_string = "";
                }
                mismatches.insert(offset);
                offset++;
            }
            else if(isdigit(MDtag[j]))
            {
                digit_string.append(MDtag[j]);
            }
            else
            {
                fprintf(stderr, "Unexpected character found in MD tag for read %s: %c\n",
                    bam1_qname(mcur), MDtag[j]);
            }
        }
}

#endif
